post
https://api.aerocrs.com/v5/createBooking
This method will create a booking according to one or more flight id.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
ImportantCreating a booking must be actioned on one airline each time, if you wish to book from 2 different airlines, you will need to run createBooking separtly for each airline.
Request parameters
| Parameter | Type | Description |
|---|---|---|
| triptype | String* | Type of request: OW: One-way RT: Return |
| adults | Number* | Number of adults |
| child | Number* | Number of children |
| infant | Number | Number of infants (not mandatory) |
| ptl | Number | Number of hours to extend the PTL of the booking (only relevant for Website integration) |
| bookflight | Element* | Include the flight details |
| fromcode | String* | Origin code from getDestinations |
| tocode | String* | Destination code from getDestinations |
| flightid | Number* | flightid received from getDeepLink |
| fareid | Number* | Received from getDeepLink |
| currency | String (Optional) | Requested currency ISO (Example - USD) |
| chargetype | String* | The iataCode chargetype |
| couponcode | String (Optional) | Apply a coupon (Coupon codes can be received only by the airline) |
| campaign | String (Optional) | Set the campaign code (UTM source) for the booking |
- Mandatory parameters
Response
The method will response with all the details and a booking ID which you can use in other methods in AeroCRS API.
| Parameter | Type | Description |
|---|---|---|
| booking | Element | The booking information, Holds items element |
| items | Element | Holds several other elements e.g. flight, hotel etc. |
| flight | Element | Holds the following elements: |
| airline | String | Name of airline |
| airlineid | Number | ID of airline in AeroCRS systems |
| from | String | Name of destination of departure |
| to | String | Name of destination of arrival |
| flightdate | Date | YYYY/MM/DD date of the flight |
| depart | Time | HH:MM 24hours time of departure |
| arrive | Time | HH:MM 24hours time of arrival |
| number | String | Flight number |
| class | String | Class code (Brand will be appended, if valid) |
| invid | Number | ID of booked flight (internal use) |
| invpricing | Money | Total charged in the currency for the flight |
| Adultfare | Money | Adult RACK fare (per 1 adult) |
| Childfare | Money | Child RACK fare (per 1 child) |
| Infantfare | Money | Infant RACK fare (per 1 infant) |
| tax | Money | Total TAX |
| net_fare | Money | Total NET fare (charged) |
| rack_fare | Money | Total rack fare |
| totaltax | Money | Total TAX for flight |
| currency | String | The currency used in the fare (ISO-4217) |
| converttousd | Number | The conversion rate to USD as defined by the airline. |
| terms | String | Related terms of the fare / booking class. |
| adults | Number | Number of adults booked |
| child | Number | Number of children booked |
| infant | Number | Number of infants booked |
| totalprice | Money | Total amount for all booking |
| bookingid | Number | Booking ID to be used in the confirmBooking API |
| pnrref | String | PNR Reference (Record locator) to show customer |
| pnrptl | Date | Payment time limit in GMT time zone YYYY/MM/DD HH:MM |
| pnrttl | Date | Ticketing time limit in GMT time zone YYYY/MM/DD HH:MM |
| infaspax | Boolean | In case the airline defined infant as passenger |
| services | Array | Applicable services for fare |
| coupon | Element (Optional - appears only if couponcode was sent) | Coupon info |
| coupon -> couponcode | String (Optional - appears only if couponcode was sent) | The coupon code that was requested |
| coupon -> amount | Money (Optional - appears only if couponcode was sent) | Amount deducted by the coupon |
| coupon -> error | String (Optional - appears only if couponcode was sent) | If there was an error applying the coupon |
| campaign | String (Optional - appears only if campaign is sent and it is valid) | The campaign name |

